View Issue Details

IDProjectCategoryView StatusLast Update
0004068SymmetricDSBugpublic2019-08-23 12:46
ReporterpmarzulloAssigned Topmarzullo 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.4 
Target Version3.10.4Fixed in Version3.10.4 
Summary0004068: Row.getDate(String value, String[] pattern) not parsing String representations of Timestamp correctly
DescriptionRow.getDate(String value, String[] pattern) looks at the String representation of the Timestamp and determines if the Timestamp class will parse it or the FormatUtils class will parse it based on the length of the fractional portion of the seconds.

The problem is that if only time is represented in the String (as SQL Server does for a time type of column), and the length of the fractional seconds is greater than 3, then Timestamp is used, even though Timestamp String format is very specific: yyyy-MM-dd hh:mm:ss.SSSSSSS.

Need to at least make sure that there is also a space in the String, indicating that there was at least an attempt to provide a Date and Time portion represented in the String.
Steps To ReproduceFailing tests:

SimpleIntegrationTest.test06SyncToClient()
SimpleIntegrationTest.test09EmptyNullLob()
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 1da6ec39

2019-08-16 10:39:42

Philip Marzullo

Details Diff
0004068: Row.getDate(String value, String[] pattern) not parsing String
representations of Timestamp correctly

0004068
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/Row.java Diff File

Issue History

Date Modified Username Field Change
2019-08-16 10:38 pmarzullo New Issue
2019-08-16 10:38 pmarzullo Status new => assigned
2019-08-16 10:38 pmarzullo Assigned To => pmarzullo
2019-08-16 10:40 pmarzullo Status assigned => resolved
2019-08-16 10:40 pmarzullo Resolution open => fixed
2019-08-16 10:40 pmarzullo Fixed in Version => 3.10.5
2019-08-16 11:00 Changeset attached => SymmetricDS 3.10 1da6ec39
2019-08-21 08:01 elong Fixed in Version 3.10.5 => 3.10.4
2019-08-21 08:01 elong Target Version 3.10.5 => 3.10.4
2019-08-23 12:46 admin Status resolved => closed